/*
    Copyright (c) 2002 Florian Wesch <fw@dividuum.de>. All Rights Reserved.     
    
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
*/    


#include <stdio.h>
#include "bfasm.h"

int main() {
    BFAssemblerContext *ctx;
    ctx = BF_AsmInit(4);

    BFCALL3(and, 0, 1, 2);
    ifelse_begin(2);
        BFCALL2(set_const, 3, 2);
    ifelse_else(2);
        BFCALL2(set_const, 3, 5);
    ifelse_end;
    
    BF_Assemble(ctx, stdout);
    printf("\n");

    return 0;
}
